package com.cftech.sys.service;

import com.cftech.core.generic.GenericService;
import com.cftech.core.sql.Conds;
import com.cftech.sys.model.User;
import com.cftech.sys.model.UserAuth;
import org.apache.poi.ss.formula.functions.T;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * userService
 * Created by lisw 25/09/2016.
 */
public interface UserService extends GenericService<User> {
	int clearUserRole(Long userId);

	int saveBatchRole(Long userId, Long roleId, Long accountId);

	User fetchStoreUserById(Long id);
	User fetchByQyuserId(Long qyUserId);
	UserAuth fetchAuthById(Serializable id);
	List<User> fetchoruserBycond(Conds conds, Long id);
}
